% Datei Einpunkt.m
% berechnet den Effekktivwert der magn. Flussdichte einer Dreileiter-
% Anordnung an einem Punktauf halber Leiterhoehe und gibt das Ergebnis aus.
% ruft die Funktion Effektiv(r,x,y,z,Fi,I0,d0,f) auf
% Autor H. J. Wagner 19. 2. 2007
% aktualisiert: 14. 10. 2007
%
% zunaechst werden die Konstanten festgelegt
a = 0.24; % Abstand der Leiter (quidistant angenommen)
I0=[400 400 400]*sqrt(2);  % Stromstaerken (A) (Scheitelwerte)
Fi=[0 -120,-240]; % Phasenwinkel (Grad)
xn=[0,0,0]; % x-Koordinaten der 3 Leiter (m)
yn=[-a,0,a]; % y-Koordinaten der 3 Leiter (m)
z=[0 2]; % z-Koordinaten der Leiterendpunkte (m)
f=50; % Frequenz in Hz
d0=0.010; % Leiterdurchmesser
disp('------------------------------------');
rp=[0.2 0 sum(z)/2]; % Messortkoordinaten (m) (als Beispiel!!!) 
[B]=Effektiv(rp,xn,yn,z,Fi,I0,d0,f); % Berechnung durch Funktionsaufruf
% Ausgabe des Ergebnisses, wenn die Stroeme als Sinus angegeben sind.
%fr(i)=B;
%end;
%plot(x, fr);
disp('Flussdichte (Tesla): ');
disp(B*1e6);


% Programmausgabe:
% Flussdichte (Tesla): 
%    401.6904